| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Attributes | List of all members
Tp::MediaStreamHandlerCodec Struct Reference
Types and constants » Structure types

`#include <TelepathyQt/Types>`

## Public Attributes

uint | codecID
QString | name
uint | mediaType
uint | clockRate
uint | numberOfChannels
StringStringMap | parameters

## Detailed Description

Structure type generated from the specification.

Information about a codec supported by a client or a peer's client.

## Member Data Documentation

uint Tp::MediaStreamHandlerCodec::codecID

The codec's payload identifier, as per RFC 3551 (static or dynamic)

QString Tp::MediaStreamHandlerCodec::name

The codec's name

uint Tp::MediaStreamHandlerCodec::mediaType

Type of stream this codec supports

uint Tp::MediaStreamHandlerCodec::clockRate

Sampling frequency in Hertz

uint Tp::MediaStreamHandlerCodec::numberOfChannels

Number of supported channels

StringStringMap Tp::MediaStreamHandlerCodec::parameters

Codec-specific optional parameters